<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('deepl_glossaries', function (Blueprint $table) {
            $table->id();
            $table->string('translate_to')->comment("Deepl 翻譯 語系");
            $table->string('glossary_name')->comment("Deepl 翻譯字庫名稱");
            $table->string('glossary_id')->comment("Deepl 特定翻譯字庫ID");
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('deepl_glossaries');
    }
};
